package model

import (
	"time"
)

type TaCustomerCourse struct {
	CustomerCourseId string    `xorm:"not null pk VARCHAR(64)"`
	CourseId         string    `xorm:"VARCHAR(64)"`
	CustomerId       string    `xorm:"VARCHAR(64)"`
	OrgId            string    `xorm:"VARCHAR(64)"`
	CaseId           string    `xorm:"VARCHAR(64)"`
	CourseName       string    `xorm:"VARCHAR(50)"`
	Price            string    `xorm:"DECIMAL(8,2)"`
	CourseNum        int       `xorm:"INT(11)"`
	JoinNum          int       `xorm:"INT(11)"`
	CreateDate       time.Time `xorm:"DATETIME"`
	CourseObtaimType string    `xorm:"VARCHAR(32)"`
	SourceId         string    `xorm:"VARCHAR(64)"`
	Status           int       `xorm:"SMALLINT(6)"`
	IsDone           int       `xorm:"TINYINT(1)"`
}
